Text::Query::SolveSimpleString(3)

NAME
Text::Query::SolveSimpleString - Apply query expression on strings

SYNOPSIS
  use Text::Query;
  my $q=new Text::Query('+hello +world',
                        -parse => 'Text::Query::ParseSimple',
                        -solve => 'Text::Query::SolveSimpleString',
                        -build => 'Text::Query::BuildSimpleString');

  $q->match('this hello is a world')

DESCRIPTION
Applies an expression built by "Text::Query::BuildSimpleString" to a list of strings.

METHODS

match ([TARGET])
    If "TARGET" is a scalar, "match" returns a true value if the string specified by "TARGET" matches the query object's query expression. If "TARGET" is not given, the match is made against $_.

    If "TARGET" is an array, "match" returns a (possibly empty) list of all matching elements. If the elements of the array are references to sub- arrays, the match is done against the first element of each sub-array. This allows arbitrary information (e.g. filenames) to be associated with each string to match.

    If "TARGET" is a reference to an array, "match" returns a reference to a (possibly empty) list of all matching elements.

matchscalar ([TARGET])
    Behaves just like "MATCH" when "TARGET" is a scalar or is not given. Slightly faster than "MATCH" under these circumstances.

AUTHORS
Eric Bohlman (ebohlman@netcom.com)

Loic Dachary (loic@senga.org)

Jon Jensen, jon@endpoint.com

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 118:
    You forgot a '=back' before '=head1'